Bug 1557487 - OpenShift network policy SDN plugin has flaking tests in 1/10 builds
Summary: OpenShift network policy SDN plugin has flaking tests in 1/10 builds
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.10.0
Assignee: Ivan Chavero
QA Contact: Meng Bo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-16 16:40 UTC by Clayton Coleman
Modified: 2018-07-30 19:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-30 19:10:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1816 None None None 2018-07-30 19:11:12 UTC
Github 19504 None None None 2018-04-25 11:57:08 UTC

Description Clayton Coleman 2018-03-16 16:40:32 UTC
The GCP test suite recently enabled network-policy.  We are now seeing a few tests fail.

[Area:Networking] multicast when using one of the plugins 'redhat/openshift-ovs-multitenant, redhat/openshift-ovs-networkpolicy' should allow multicast traffic in namespaces where it is enabled [Suite:openshift/conformance/parallel] 5m10s

https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/openshift_openshift-ansible/7475/test_pull_request_openshift_ansible_extended_conformance_gce/1886/

NetworkPolicy when using a plugin that implements NetworkPolicy should enforce policy based on PodSelector [Feature:OSNetworkPolicy] [Suite:openshift/conformance/parallel] 1m12s

https://openshift-gce-devel.appspot.com/build/origin-ci-test/pr-logs/pull/18758/test_pull_request_origin_extended_conformance_gce/17762/

Suggestion - capture pod logs on test failure and print to output (for easier debugging)

Setting to medium priority because this isn't completely blowing up the queue, but if it happens more I'll bump.

Comment 1 Ben Bennett 2018-04-18 18:49:17 UTC
@ichavero: Can you implement Clayton's suggestion around capturing the pod logs and printing them to the output on test failure above please?

Comment 2 Ivan Chavero 2018-04-25 11:57:09 UTC
Create PR: https://github.com/openshift/origin/pull/19504

Comment 4 Meng Bo 2018-05-31 10:52:58 UTC
The related log has been added to extend test. Mark the bug as verified.

Comment 6 errata-xmlrpc 2018-07-30 19:10:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1816


Note You need to log in before you can comment on or make changes to this bug.